#!/bin/sh
PKGVER=4.5
DOCBOOK=./etc/xml/docbook
# remove entries from docbook catalog
[ ! -d ./etc/xml ] && exit 0
[ ! -f $DOCBOOK ] && exit 0

xmlcatalog --noout --del  \
	"-//OASIS//DTD DocBook XML V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//DTD DocBook XML CALS Table Model V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ELEMENTS DocBook XML Information Pool V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ELEMENTS DocBook XML HTML Tables V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ENTITIES DocBook XML Notations V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ENTITIES DocBook XML Character Entities V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"-//OASIS//ENTITIES DocBook XML Additional General Entities V$PKGVER//EN" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$PKGVER" \
	$DOCBOOK &&
xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$PKGVER" \
	$DOCBOOK

# remove entries from xml catalog
CATALOG=./etc/xml/catalog
[ ! -d ./etc/xml ] && exit 0
[ ! -f $CATALOG ] && exit 0
xmlcatalog --noout --del \
	"-//OASIS//ENTITIES DocBook XML" \
	$CATALOG &&
xmlcatalog --noout --del \
	"-//OASIS//DTD DocBook XML" \
	$CATALOG &&
xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/" \
	$CATALOG &&
xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/" \
	$CATALOG
	
# compatibility settings for earlier versions
for DTDVERSION in 4.1.2 4.2 4.3 4.4
do
  xmlcatalog --noout --del \
	"-//OASIS//DTD DocBook XML V$DTDVERSION//EN" \
	$DOCBOOK
  xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
	$DOCBOOK
  xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
	$DOCBOOK
  xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
	$CATALOG
  xmlcatalog --noout --del \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
	$CATALOG
done
